// Code generated by protoc-gen-go. DO NOT EDIT.
// source: rrs/phoneBookRRS.proto

/*
Package rrs is a generated protocol buffer package.

It is generated from these files:
	rrs/phoneBookRRS.proto

It has these top-level messages:
	ContactResponse
	MessResponse
	ContactRequest
	NumberRequest
*/
package rrs

import proto "github.com/golang/protobuf/proto"
import fmt "fmt"
import math "math"
import _ "google.golang.org/genproto/googleapis/api/annotations"
import models "gitlab.com/jaroslav.kuchmij/PhoneBookRESTSwagger.git/models"
import google_protobuf1 "github.com/golang/protobuf/ptypes/empty"
import _ "github.com/grpc-ecosystem/grpc-gateway/protoc-gen-swagger/options"

import (
	context "golang.org/x/net/context"
	grpc "google.golang.org/grpc"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion2 // please upgrade the proto package

type ContactResponse struct {
	Contact *models.Contact `protobuf:"bytes,1,opt,name=contact" json:"contact,omitempty"`
}

func (m *ContactResponse) Reset()                    { *m = ContactResponse{} }
func (m *ContactResponse) String() string            { return proto.CompactTextString(m) }
func (*ContactResponse) ProtoMessage()               {}
func (*ContactResponse) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{0} }

func (m *ContactResponse) GetContact() *models.Contact {
	if m != nil {
		return m.Contact
	}
	return nil
}

type MessResponse struct {
	Message string `protobuf:"bytes,2,opt,name=message" json:"message,omitempty"`
}

func (m *MessResponse) Reset()                    { *m = MessResponse{} }
func (m *MessResponse) String() string            { return proto.CompactTextString(m) }
func (*MessResponse) ProtoMessage()               {}
func (*MessResponse) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{1} }

func (m *MessResponse) GetMessage() string {
	if m != nil {
		return m.Message
	}
	return ""
}

type ContactRequest struct {
	Contact *models.Contact `protobuf:"bytes,1,opt,name=contact" json:"contact,omitempty"`
}

func (m *ContactRequest) Reset()                    { *m = ContactRequest{} }
func (m *ContactRequest) String() string            { return proto.CompactTextString(m) }
func (*ContactRequest) ProtoMessage()               {}
func (*ContactRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{2} }

func (m *ContactRequest) GetContact() *models.Contact {
	if m != nil {
		return m.Contact
	}
	return nil
}

type NumberRequest struct {
	Phone *models.PhoneNumber `protobuf:"bytes,1,opt,name=phone" json:"phone,omitempty"`
}

func (m *NumberRequest) Reset()                    { *m = NumberRequest{} }
func (m *NumberRequest) String() string            { return proto.CompactTextString(m) }
func (*NumberRequest) ProtoMessage()               {}
func (*NumberRequest) Descriptor() ([]byte, []int) { return fileDescriptor0, []int{3} }

func (m *NumberRequest) GetPhone() *models.PhoneNumber {
	if m != nil {
		return m.Phone
	}
	return nil
}

func init() {
	proto.RegisterType((*ContactResponse)(nil), "rrs.ContactResponse")
	proto.RegisterType((*MessResponse)(nil), "rrs.MessResponse")
	proto.RegisterType((*ContactRequest)(nil), "rrs.ContactRequest")
	proto.RegisterType((*NumberRequest)(nil), "rrs.NumberRequest")
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConn

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion4

// Client API for PhoneBook service

type PhoneBookClient interface {
	GetAllPhonebook(ctx context.Context, in *google_protobuf1.Empty, opts ...grpc.CallOption) (PhoneBook_GetAllPhonebookClient, error)
	AddContact(ctx context.Context, in *ContactRequest, opts ...grpc.CallOption) (*MessResponse, error)
	DeleteContact(ctx context.Context, in *NumberRequest, opts ...grpc.CallOption) (*MessResponse, error)
	SearchContact(ctx context.Context, in *NumberRequest, opts ...grpc.CallOption) (*ContactResponse, error)
	UpdateContact(ctx context.Context, in *ContactRequest, opts ...grpc.CallOption) (*MessResponse, error)
}

type phoneBookClient struct {
	cc *grpc.ClientConn
}

func NewPhoneBookClient(cc *grpc.ClientConn) PhoneBookClient {
	return &phoneBookClient{cc}
}

func (c *phoneBookClient) GetAllPhonebook(ctx context.Context, in *google_protobuf1.Empty, opts ...grpc.CallOption) (PhoneBook_GetAllPhonebookClient, error) {
	stream, err := grpc.NewClientStream(ctx, &_PhoneBook_serviceDesc.Streams[0], c.cc, "/rrs.PhoneBook/GetAllPhonebook", opts...)
	if err != nil {
		return nil, err
	}
	x := &phoneBookGetAllPhonebookClient{stream}
	if err := x.ClientStream.SendMsg(in); err != nil {
		return nil, err
	}
	if err := x.ClientStream.CloseSend(); err != nil {
		return nil, err
	}
	return x, nil
}

type PhoneBook_GetAllPhonebookClient interface {
	Recv() (*ContactResponse, error)
	grpc.ClientStream
}

type phoneBookGetAllPhonebookClient struct {
	grpc.ClientStream
}

func (x *phoneBookGetAllPhonebookClient) Recv() (*ContactResponse, error) {
	m := new(ContactResponse)
	if err := x.ClientStream.RecvMsg(m); err != nil {
		return nil, err
	}
	return m, nil
}

func (c *phoneBookClient) AddContact(ctx context.Context, in *ContactRequest, opts ...grpc.CallOption) (*MessResponse, error) {
	out := new(MessResponse)
	err := grpc.Invoke(ctx, "/rrs.PhoneBook/AddContact", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *phoneBookClient) DeleteContact(ctx context.Context, in *NumberRequest, opts ...grpc.CallOption) (*MessResponse, error) {
	out := new(MessResponse)
	err := grpc.Invoke(ctx, "/rrs.PhoneBook/DeleteContact", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *phoneBookClient) SearchContact(ctx context.Context, in *NumberRequest, opts ...grpc.CallOption) (*ContactResponse, error) {
	out := new(ContactResponse)
	err := grpc.Invoke(ctx, "/rrs.PhoneBook/SearchContact", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *phoneBookClient) UpdateContact(ctx context.Context, in *ContactRequest, opts ...grpc.CallOption) (*MessResponse, error) {
	out := new(MessResponse)
	err := grpc.Invoke(ctx, "/rrs.PhoneBook/UpdateContact", in, out, c.cc, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// Server API for PhoneBook service

type PhoneBookServer interface {
	GetAllPhonebook(*google_protobuf1.Empty, PhoneBook_GetAllPhonebookServer) error
	AddContact(context.Context, *ContactRequest) (*MessResponse, error)
	DeleteContact(context.Context, *NumberRequest) (*MessResponse, error)
	SearchContact(context.Context, *NumberRequest) (*ContactResponse, error)
	UpdateContact(context.Context, *ContactRequest) (*MessResponse, error)
}

func RegisterPhoneBookServer(s *grpc.Server, srv PhoneBookServer) {
	s.RegisterService(&_PhoneBook_serviceDesc, srv)
}

func _PhoneBook_GetAllPhonebook_Handler(srv interface{}, stream grpc.ServerStream) error {
	m := new(google_protobuf1.Empty)
	if err := stream.RecvMsg(m); err != nil {
		return err
	}
	return srv.(PhoneBookServer).GetAllPhonebook(m, &phoneBookGetAllPhonebookServer{stream})
}

type PhoneBook_GetAllPhonebookServer interface {
	Send(*ContactResponse) error
	grpc.ServerStream
}

type phoneBookGetAllPhonebookServer struct {
	grpc.ServerStream
}

func (x *phoneBookGetAllPhonebookServer) Send(m *ContactResponse) error {
	return x.ServerStream.SendMsg(m)
}

func _PhoneBook_AddContact_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ContactRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PhoneBookServer).AddContact(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/rrs.PhoneBook/AddContact",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PhoneBookServer).AddContact(ctx, req.(*ContactRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _PhoneBook_DeleteContact_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(NumberRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PhoneBookServer).DeleteContact(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/rrs.PhoneBook/DeleteContact",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PhoneBookServer).DeleteContact(ctx, req.(*NumberRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _PhoneBook_SearchContact_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(NumberRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PhoneBookServer).SearchContact(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/rrs.PhoneBook/SearchContact",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PhoneBookServer).SearchContact(ctx, req.(*NumberRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _PhoneBook_UpdateContact_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ContactRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PhoneBookServer).UpdateContact(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/rrs.PhoneBook/UpdateContact",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PhoneBookServer).UpdateContact(ctx, req.(*ContactRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _PhoneBook_serviceDesc = grpc.ServiceDesc{
	ServiceName: "rrs.PhoneBook",
	HandlerType: (*PhoneBookServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "AddContact",
			Handler:    _PhoneBook_AddContact_Handler,
		},
		{
			MethodName: "DeleteContact",
			Handler:    _PhoneBook_DeleteContact_Handler,
		},
		{
			MethodName: "SearchContact",
			Handler:    _PhoneBook_SearchContact_Handler,
		},
		{
			MethodName: "UpdateContact",
			Handler:    _PhoneBook_UpdateContact_Handler,
		},
	},
	Streams: []grpc.StreamDesc{
		{
			StreamName:    "GetAllPhonebook",
			Handler:       _PhoneBook_GetAllPhonebook_Handler,
			ServerStreams: true,
		},
	},
	Metadata: "rrs/phoneBookRRS.proto",
}

func init() { proto.RegisterFile("rrs/phoneBookRRS.proto", fileDescriptor0) }

var fileDescriptor0 = []byte{
	// 767 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0xac, 0x55, 0xbf, 0x6f, 0xe4, 0x44,
	0x18, 0xd5, 0x24, 0x82, 0x28, 0x03, 0x4b, 0x88, 0xf3, 0x6b, 0x31, 0x14, 0xc6, 0xa4, 0x08, 0x8b,
	0x62, 0x87, 0x4d, 0xe7, 0x20, 0x24, 0xe7, 0x17, 0x15, 0x08, 0xd6, 0x20, 0x4a, 0x34, 0xeb, 0xfd,
	0xf0, 0x7a, 0x63, 0x7b, 0x26, 0x33, 0xe3, 0x44, 0xab, 0x28, 0x4d, 0x8a, 0x08, 0x01, 0xcd, 0xf9,
	0xea, 0xfb, 0x23, 0xae, 0xbc, 0xf6, 0xda, 0x94, 0x27, 0x9d, 0x74, 0xfd, 0xfd, 0x21, 0xa7, 0xf5,
	0x6f, 0x6f, 0xf6, 0x4e, 0x7b, 0xa7, 0x34, 0x51, 0xfc, 0xe6, 0x7b, 0xdf, 0xbc, 0x37, 0xdf, 0x9b,
	0x59, 0xbc, 0xc9, 0xb9, 0x30, 0xd9, 0x90, 0x46, 0x70, 0x48, 0xe9, 0x59, 0xaf, 0xe7, 0x18, 0x8c,
	0x53, 0x49, 0x95, 0x45, 0xce, 0x85, 0xfa, 0x95, 0x47, 0xa9, 0x17, 0x80, 0x49, 0x98, 0x6f, 0x92,
	0x28, 0xa2, 0x92, 0x48, 0x9f, 0x46, 0x22, 0x2b, 0x51, 0x7f, 0xf3, 0x7c, 0x19, 0x90, 0xbe, 0xe1,
	0xd2, 0xd0, 0x1c, 0x11, 0x4e, 0x45, 0x40, 0x2e, 0x8c, 0xb3, 0xd8, 0x1d, 0x86, 0xfe, 0xc8, 0xfc,
	0xb5, 0x6c, 0x79, 0xe2, 0xfc, 0xee, 0x5c, 0x12, 0xcf, 0x03, 0x6e, 0x78, 0xbe, 0x34, 0x43, 0x3a,
	0x80, 0xa0, 0xb6, 0xa5, 0x23, 0x79, 0xec, 0xca, 0xbc, 0xe5, 0xbe, 0xe7, 0xcb, 0x61, 0x9c, 0xb5,
	0xf4, 0x68, 0x40, 0x22, 0xcf, 0x4c, 0x17, 0xfa, 0xf1, 0xdf, 0x26, 0x93, 0x63, 0x06, 0xc2, 0x84,
	0x90, 0xc9, 0x71, 0xf6, 0x37, 0x27, 0x39, 0x75, 0x12, 0x67, 0xee, 0x2e, 0xb8, 0x54, 0x8c, 0x85,
	0x84, 0xfc, 0xd3, 0x23, 0x12, 0x2e, 0xc9, 0x38, 0xeb, 0xe4, 0xee, 0x7a, 0x10, 0xed, 0x8a, 0x4c,
	0x90, 0x49, 0x59, 0x6a, 0xe8, 0xbe, 0x39, 0xfd, 0x0e, 0xe1, 0x95, 0x23, 0x1a, 0x49, 0xe2, 0xca,
	0x1e, 0x08, 0x46, 0x23, 0x01, 0xca, 0xb7, 0x78, 0xc9, 0xcd, 0xa0, 0x36, 0xd2, 0xd0, 0xce, 0x27,
	0xdd, 0x15, 0x23, 0x73, 0x63, 0x14, 0x95, 0xc5, 0xba, 0xf5, 0x3f, 0x4a, 0xec, 0x7f, 0x10, 0x3e,
	0xed, 0xac, 0x4f, 0x35, 0x71, 0x86, 0x10, 0x42, 0x77, 0x6b, 0x24, 0x68, 0xf4, 0x97, 0x70, 0x87,
	0x10, 0x12, 0x6d, 0x00, 0xc2, 0xe5, 0x7e, 0xaa, 0xc4, 0xda, 0xb8, 0xd2, 0x42, 0x10, 0x82, 0x78,
	0x60, 0x69, 0xfa, 0xf9, 0x25, 0x70, 0x39, 0xd6, 0xb5, 0xeb, 0xce, 0x8f, 0xf8, 0x9b, 0x53, 0x3f,
	0x1a, 0x68, 0x34, 0x96, 0x5a, 0x48, 0x39, 0x68, 0xa4, 0x3f, 0xf9, 0x77, 0x5a, 0xe0, 0xd6, 0x50,
	0x4a, 0x26, 0x2c, 0xd3, 0x9c, 0x5a, 0xd0, 0x9f, 0x22, 0xfc, 0xe9, 0xcf, 0x20, 0x44, 0x59, 0xd9,
	0xc6, 0x4b, 0xf9, 0x3e, 0xed, 0x05, 0x0d, 0xed, 0x2c, 0xf7, 0x8a, 0x4f, 0xeb, 0x16, 0x25, 0xf6,
	0x0d, 0xc2, 0x47, 0x9d, 0xd5, 0x3a, 0xe1, 0xc3, 0x64, 0x1f, 0xcc, 0x27, 0x7b, 0xbd, 0x90, 0x5d,
	0xdf, 0x51, 0x3f, 0xc0, 0x9f, 0x95, 0x85, 0xe7, 0x31, 0x08, 0xf9, 0x1e, 0xe7, 0xaf, 0x5b, 0xb8,
	0xf5, 0x4b, 0x1c, 0xf6, 0x81, 0x57, 0xdc, 0x8f, 0xd2, 0xc8, 0xe5, 0xcc, 0xb5, 0x82, 0x99, 0xe6,
	0x34, 0x2f, 0xcd, 0x2a, 0xba, 0xcf, 0x96, 0xf1, 0x72, 0x19, 0x5f, 0xe5, 0x25, 0xc2, 0x2b, 0x3f,
	0x81, 0xb4, 0x83, 0x20, 0xc5, 0xfa, 0x13, 0x6c, 0xd3, 0xc8, 0x2e, 0x86, 0x51, 0x84, 0xd3, 0x38,
	0x99, 0xe4, 0x51, 0x5d, 0x37, 0x38, 0xaf, 0xc4, 0x14, 0x46, 0x12, 0x94, 0xd8, 0x52, 0xd9, 0xaa,
	0x35, 0x99, 0x34, 0xd6, 0x44, 0x1c, 0x86, 0x84, 0x8f, 0xd5, 0x2f, 0xa7, 0x17, 0x6a, 0x07, 0xab,
	0xff, 0x80, 0xbf, 0x9e, 0x75, 0x82, 0x5e, 0x4a, 0xc9, 0x37, 0xaa, 0xc6, 0xce, 0x0a, 0x85, 0x06,
	0xeb, 0x1b, 0x31, 0xb9, 0x79, 0xf1, 0xfa, 0xf1, 0xc2, 0x86, 0xb2, 0x56, 0xe1, 0x66, 0x7e, 0x3e,
	0x62, 0x0f, 0x29, 0xcf, 0x11, 0xc6, 0xf6, 0x60, 0x50, 0x34, 0x59, 0x6b, 0x6a, 0x4f, 0x4f, 0x4d,
	0x5d, 0x4d, 0xc1, 0xc6, 0x58, 0xfe, 0x43, 0x89, 0x3d, 0x52, 0x94, 0x8a, 0x59, 0x1a, 0xd9, 0xac,
	0x61, 0x73, 0x78, 0x38, 0xe2, 0x40, 0x24, 0xcc, 0xe5, 0xa1, 0xad, 0xcf, 0xf2, 0x60, 0xa1, 0xce,
	0x64, 0x3a, 0xad, 0x63, 0x08, 0xa0, 0x6a, 0xa4, 0xa4, 0x92, 0x1b, 0xc3, 0x9f, 0x65, 0xe3, 0x09,
	0x4a, 0x6c, 0xa6, 0x6c, 0x34, 0xb8, 0xa5, 0x93, 0x2f, 0x9a, 0xf0, 0xc3, 0x9a, 0xd9, 0xee, 0xe8,
	0x33, 0xcc, 0x98, 0x57, 0x29, 0x66, 0x44, 0xa9, 0xf0, 0x6b, 0xe5, 0x15, 0xc2, 0x2d, 0x07, 0x08,
	0x77, 0x87, 0xef, 0x32, 0x36, 0x3b, 0x70, 0xb9, 0xb7, 0x06, 0xbd, 0xf2, 0xd6, 0x84, 0x1f, 0xd8,
	0x9b, 0x32, 0x8f, 0xb7, 0x3b, 0x84, 0x5b, 0x7f, 0xb0, 0x41, 0xad, 0xe9, 0xbc, 0xe1, 0x7b, 0x94,
	0x39, 0x6b, 0x90, 0x2b, 0x67, 0x4d, 0xf8, 0x81, 0x23, 0xa8, 0xbe, 0x25, 0x82, 0xea, 0xbf, 0x28,
	0xb1, 0x6f, 0x91, 0xf2, 0x67, 0x75, 0x81, 0x25, 0xd5, 0xd2, 0x87, 0x21, 0xbf, 0xa6, 0xe5, 0xbb,
	0xa1, 0xd5, 0x2e, 0x48, 0x33, 0x61, 0xcd, 0x99, 0x34, 0x7c, 0xa8, 0xdf, 0xe1, 0xed, 0x59, 0xda,
	0xcb, 0xed, 0x1c, 0xe0, 0x17, 0xbe, 0x0b, 0xca, 0x62, 0xcc, 0x83, 0xc3, 0xe3, 0xc4, 0xb6, 0x95,
	0x36, 0x5e, 0xad, 0xc4, 0xe4, 0xcb, 0xdd, 0xc5, 0xef, 0x8d, 0xbd, 0x0e, 0x42, 0xdd, 0xcf, 0x09,
	0x63, 0x81, 0xef, 0xa6, 0x3f, 0x76, 0xe6, 0xe4, 0x3d, 0xb7, 0xee, 0x21, 0xfd, 0x8f, 0x53, 0xf9,
	0xfb, 0x6f, 0x02, 0x00, 0x00, 0xff, 0xff, 0xcc, 0xad, 0x91, 0xbd, 0x1d, 0x08, 0x00, 0x00,
}
